import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Juan Gomez Romero
 * @version 1.0
 */
public class Dog extends Animal
{
    /**
     * Act - do whatever the Dog wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (atWorldEdge()) {
            turnLeft();
        }
               
        int random = Greenfoot.getRandomNumber(100);
        if (random < 10) {
            int degrees = Greenfoot.getRandomNumber(90) - 45;
            turn(degrees);
        }
        
        move();
        lookForCat();
    }  
    public void lookForCat()
    {
        if (canSee(Cat.class)) {
            eat(Cat.class);
            Greenfoot.playSound("au.wav");
            Greenfoot.stop();
            Greenfoot.playSound("guau.wav");
        }
    }
}