import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Juan Gomez Romero
 * @version 1.0
 */
public class Mouse extends Animal
{
    /**
     * Act - do whatever the Mouse wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (atWorldEdge()) {
            // the mouse is at the edge of the board 
            turnLeft();
        
        } else {
        
            int random = Greenfoot.getRandomNumber(100);    // Random number in [0, 100)
            if (random < 50) {
                int degrees = Greenfoot.getRandomNumber(90) - 45;
                turn(degrees);
            }
        }
        
        move();
    }    
}

