import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Juan Gomez Romero
 * @version 1.0
 */
public class MouseAndCat extends World
{
    public static int numDogs;
    public static int numMice; 

    public MouseAndCat()
    {
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1);
        numDogs = 2;
        numMice = 5;

        //populateWorld();

        prepare();
    }

    public void populateWorld()
    {
        for (int i=1; i<= numDogs; i++) {
            addObject(new Dog(), Greenfoot.getRandomNumber(600), Greenfoot.getRandomNumber(400));
        }

        addObject(new Cat(),300,200);

        for (int i=0; i<numMice; i++) {
            addObject (new Mouse(), Greenfoot.getRandomNumber(600), Greenfoot.getRandomNumber(400));
        }
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
    }
}
