import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Juan Gomez Romero
 * @version 1.0
 */
public class Cat extends Animal
{
    /**
     * Act - do whatever the Cat wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
        
    public void act() 
    {
        checkKeyPressed();
        lookForMouse();
    }
    public void checkKeyPressed()
    {
        if (Greenfoot.isKeyDown("left"))  {
            setLocation(getX()-3, getY());
        }
        if (Greenfoot.isKeyDown("right")) {
            setLocation(getX()+3, getY());
        }
        if (Greenfoot.isKeyDown("up")) {
            setLocation(getX(), getY()-3);
        }
        if (Greenfoot.isKeyDown("down")) {
            setLocation(getX(), getY()+3);
        }
    }
 
    public void lookForMouse()
    {
        if ( canSee(Mouse.class) ) {
            eat(Mouse.class);
            MouseAndCat.numMice -= 1;
            Greenfoot.playSound("slurp.wav");
            
            if (MouseAndCat.numMice == 0) {
                Greenfoot.stop();
                Greenfoot.playSound("miau.wav"); 
            }
        }
    }
}
